Bug 2969 - utils/profiles.c: unsigned char * in strncmp()
utils/profiles.c: unsigned char * in strncmp()
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
3.0.20
SGI IRIX
: P3 minor
: none
Assigned To: Tim Potter
Samba QA Contact
:
Depends on: 2997
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-09 08:30 UTC by Jason Mader
Modified: 2005-08-30 04:34 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Mader 2005-08-09 08:30:21 UTC
Compiling utils/profiles.c
cc-1164 cc: WARNING File = utils/profiles.c, Line = 425
  Argument of type "const unsigned char *" is incompatible with parameter of
          type "const char *".

    if (strncmp(sid_str, "S-1-5", 5)) {
                ^
Comment 1 Jason Mader 2005-08-09 08:31:55 UTC
This might be another case where it is better to use memcmp().
Comment 2 Jason Mader 2005-08-12 17:54:38 UTC
Please see Bug 2997; if the argument to function get_sid() is changed to "char *" then this can very well 
stay a strncmp().
Comment 3 Jason Mader 2005-08-12 17:55:18 UTC
Updating depend
Comment 4 Gerald (Jerry) Carter 2005-08-30 04:34:18 UTC
fixed...